ServersOperations Class

ServersOperations async operations.

You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.

Inheritance
builtins.object
ServersOperations

Constructor

ServersOperations(client, config, serializer, deserializer)

Parameters

client
Required

Client for service requests.

config
Required

Configuration of service client.

serializer
Required

An object model serializer.

deserializer
Required

An object model deserializer.

Variables

models

Alias to model classes used in this operation group.

Methods

begin_create

Creates a new server or updates an existing server. The update action will overwrite the existing server.

begin_delete

Deletes a server.

begin_failover

Manual failover a server.

begin_restart

Restarts a server.

begin_start

Starts a server.

begin_stop

Stops a server.

begin_update

Updates an existing server. The request body can contain one to many of the properties present in the normal server definition.

get

Gets information about a server.

list

List all the servers in a given subscription.

list_by_resource_group

List all the servers in a given resource group.

begin_create

Creates a new server or updates an existing server. The update action will overwrite the existing server.

async begin_create(resource_group_name: str, server_name: str, parameters: azure.mgmt.rdbms.mysql_flexibleservers.models._models_py3.Server, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.rdbms.mysql_flexibleservers.models._models_py3.Server]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

server_name
str
Required

The name of the server.

parameters
Server
Required

The required parameters for creating or updating a server.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either Server or the result of cls(response)

Return type

Exceptions

begin_delete

Deletes a server.

async begin_delete(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

server_name
str
Required

The name of the server.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_failover

Manual failover a server.

async begin_failover(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

server_name
str
Required

The name of the server.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_restart

Restarts a server.

async begin_restart(resource_group_name: str, server_name: str, parameters: azure.mgmt.rdbms.mysql_flexibleservers.models._models_py3.ServerRestartParameter, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

server_name
str
Required

The name of the server.

parameters
ServerRestartParameter
Required

The required parameters for restarting a server.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_start

Starts a server.

async begin_start(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

server_name
str
Required

The name of the server.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_stop

Stops a server.

async begin_stop(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[None]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

server_name
str
Required

The name of the server.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either None or the result of cls(response)

Return type

Exceptions

begin_update

Updates an existing server. The request body can contain one to many of the properties present in the normal server definition.

async begin_update(resource_group_name: str, server_name: str, parameters: azure.mgmt.rdbms.mysql_flexibleservers.models._models_py3.ServerForUpdate, **kwargs: Any) -> azure.core.polling._async_poller.AsyncLROPoller[azure.mgmt.rdbms.mysql_flexibleservers.models._models_py3.Server]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

server_name
str
Required

The name of the server.

parameters
ServerForUpdate
Required

The required parameters for updating a server.

cls
callable

A custom type or function that will be passed the direct response

continuation_token
str

A continuation token to restart a poller from a saved state.

polling
bool or AsyncPollingMethod

By default, your polling method will be AsyncARMPolling. Pass in False for this operation to not poll, or pass in your own initialized polling object for a personal polling strategy.

polling_interval
int

Default waiting time between two polls for LRO operations if no Retry-After header is present.

Returns

An instance of AsyncLROPoller that returns either Server or the result of cls(response)

Return type

Exceptions

get

Gets information about a server.

async get(resource_group_name: str, server_name: str, **kwargs: Any) -> azure.mgmt.rdbms.mysql_flexibleservers.models._models_py3.Server

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

server_name
str
Required

The name of the server.

cls
callable

A custom type or function that will be passed the direct response

Returns

Server, or the result of cls(response)

Return type

Exceptions

list

List all the servers in a given subscription.

list(**kwargs: Any) -> AsyncIterable[azure.mgmt.rdbms.mysql_flexibleservers.models._models_py3.ServerListResult]

Parameters

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either ServerListResult or the result of cls(response)

Return type

Exceptions

list_by_resource_group

List all the servers in a given resource group.

list_by_resource_group(resource_group_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.rdbms.mysql_flexibleservers.models._models_py3.ServerListResult]

Parameters

resource_group_name
str
Required

The name of the resource group. The name is case insensitive.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either ServerListResult or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.rdbms.mysql_flexibleservers.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\rdbms\\mysql_flexibleservers\\models\\__init__.py'>